/*--=============================================
   =          listadoVideojuegos         =
==============================================-*/
.listadoVideojuegos {
   grid-template-columns: repeat(4, 1fr);
   grid-template-rows: repeat(5, auto);
   grid-template-areas:
      "info_1       info_2      info_3    info_4"
      "form       form      form    form"
      "table      table     table   table"
      "table      table     table   table"
      "top        top       recents recents";
}

.listadoVideojuegos .seccion_formulario,
.listadoVideojuegos .seccion_tops,
.listadoVideojuegos .seccion_tabla,
.listadoVideojuegos .seccion_recientes {
   padding: 20px;
}

.listadoVideojuegos .info_1,
.listadoVideojuegos .info_2,
.listadoVideojuegos .info_3,
.listadoVideojuegos .info_4 {
   display: flex;
   flex-direction: row;
   justify-content: space-between;
   align-items: center;
   vertical-align: middle;
}

.listadoVideojuegos .info_1 i,
.listadoVideojuegos .info_2 i,
.listadoVideojuegos .info_3 i,
.listadoVideojuegos .info_4 i {
   font-size: 2em;
}

.listadoVideojuegos .info_1 p,
.listadoVideojuegos .info_2 p,
.listadoVideojuegos .info_3 p,
.listadoVideojuegos .info_4 p {
   /* font-size: 1.5vw; */
   font-size: 1em;
   margin: 0;
}

.listadoVideojuegos .info_1 {
   grid-area: info_1;
}

.listadoVideojuegos .info_1 i {
   color: #ff9900;
}

.listadoVideojuegos .info_2 {
   grid-area: info_2;
}

.listadoVideojuegos .info_2 i {
   color: #00cbe6;
}

.listadoVideojuegos .info_3 {
   grid-area: info_3;
}

.listadoVideojuegos .info_3 i {
   color: #07df00;
}

.listadoVideojuegos .info_4 {
   grid-area: info_4;
}

.listadoVideojuegos .info_4 i {
   color: #ff0000;
}

.listadoVideojuegos .seccion_formulario {
   grid-area: form;
}

.listadoVideojuegos .seccion_tops {
   grid-area: top;
}

.listadoVideojuegos .seccion_tabla {
   grid-area: table;
}

.listadoVideojuegos .seccion_tabla table thead th {
   text-align: center;
   vertical-align: middle;
   font-size: 0.95em;
   font-weight: bold;
}

.listadoVideojuegos .seccion_tabla table tbody tr td {
   text-align: center;
   vertical-align: middle;
}

.listadoVideojuegos .seccion_tabla table tbody tr td i {
   font-size: 1.3em;
}

.listadoVideojuegos .seccion_recientes {
   grid-area: recents;
}

.listadoVideojuegos .seccion_formulario form {
   display: grid;
   grid-gap: 25px;
}

.listadoVideojuegos .seccion_formulario form .entradas {
   display: grid;
   grid-gap: 20px;
   grid-template-columns: 3fr 1fr 2fr 1fr 1fr 1fr;
}

.listadoVideojuegos .seccion_formulario form .entradas .form-label {
   font-weight: bold;
   color: #6c757d;
}

.listadoVideojuegos .seccion_formulario form .boton_enviar {
   color: #ffffff;
   width: auto;
   min-width: 200px;
}

/*--=============================================
            =          Media-query         =
==============================================-*/
@media (max-width: 640px) {
   .sidebar.close .nav-links li .sub-menu {
      display: none;
   }

   .listadoVideojuegos {
      grid-template-columns: 1fr;
      grid-template-rows: repeat(8, auto);
      grid-template-areas:
         "info_1"
         "info_2"
         "info_3"
         "info_4"
         "form"
         "table"
         "top"
         "recents";
   }

   .listadoVideojuegos .seccion_formulario form .entradas {
      grid-template-columns: 1fr;
   }
}
/* increase images per line as browser gets larger using media queries
   this first query makes two images per line at 640px width */
@media only screen and (min-width: 640px) {
   .listadoVideojuegos {
      grid-template-columns: 1fr 1fr;
      grid-template-rows: repeat(5, auto);
      grid-template-areas:
         "info_1     info_2"
         "info_3     info_4"
         "form       form"
         "table      table"
         "top        recents";
   }

   .listadoVideojuegos .seccion_formulario form .entradas {
      grid-template-columns: repeat(3, 1fr);
   }
}

/* three images per line when browser width exceeds 960px */
@media only screen and (min-width: 960px) {
   .listadoVideojuegos {
      grid-template-columns: 1fr 1fr;
      grid-template-rows: repeat(5, auto);
      grid-template-areas:
         "info_1     info_2"
         "info_3     info_4"
         "form       form"
         "table      table"
         "top        recents";
   }

   .listadoVideojuegos .seccion_formulario form .entradas {
      grid-template-columns: repeat(3, 1fr);
   }
}
/* four images per line when browser width exceeds 1280px */
@media only screen and (min-width: 1280px) {
   .listadoVideojuegos {
      grid-template-columns: repeat(4, 1fr);
      grid-template-rows: repeat(5, auto);
      grid-template-areas:
         "info_1     info_2    info_3  info_4"
         "form       form      form    form"
         "table      table     table   table"
         "table      table     table   table"
         "top        top       recents recents";
   }

   .listadoVideojuegos .seccion_formulario form .entradas {
      grid-template-columns: 3fr 1fr 2fr 1fr 1fr 1fr;
   }
}
/* five images per line when browser width exceeds 1600px */
@media only screen and (min-width: 1600px) {
   .listadoVideojuegos {
      grid-template-columns: repeat(4, 1fr);
      grid-template-rows: repeat(5, auto);
      grid-template-areas:
         "info_1     info_2    info_3  info_4"
         "form       form      form    form"
         "table      table     table   table"
         "table      table     table   table"
         "top        top       recents recents";
   }

   .listadoVideojuegos .seccion_formulario form .entradas {
      grid-template-columns: 3fr 1fr 2fr 1fr 1fr 1fr;
   }
}
